WMBDAY(1)

NAME
wmbday - dockable birthday reminder

SYNOPSIS
wmbday [OPTIONS]

DESCRIPTIOIN
wmbday displays the next 4 coming birthdays in a WindowMaker dock app.

While running left clicking on one of the names will give information about the certain name in an xmessage box. A left click somewhere in the window while wmbday notifies you about a birthday will stop the animation.

As of version 0.3 wmbday provides a modern look which is similar to various other dockapps. By pressing the right mouse button you can now switch the backlight on or off.

OPTIONS

-d name, --display=name
    Specifies the X server to contact. See X(7x).

-t, --text
    Enables the classical look.

-f file, --file=file
    Use file as data file instead of ~/.wmbday/data

-B color, --bgcolor=color
    Specifies either the color string (see section "Colors") used for filling the background or the backlight color.

-F color, --fontcolor=color
    Specifies the color string (see section "Colors") used for painting normal text (also valid when using the new GUI).

-H color, --hicolor=color
    Specifies the color string (see section "Colors") used for painting blinking text (also valid when using the new GUI).

-h, --help
    Gives some help text.

-v, --version
    Outputs the program version.

FORMAT OF THE DATA FILE
Since version 0.2 wmbday supports two types of data files: vCard or simple.

The format of the usual data file is quite simple. The first column contains the date and the second one the name. They are separated by an arbitrary amount of whitespaces (" ", "\r", "\t", "\n").

dd.mm.yyyy[whitespace]name

Notice that the date format is German and not English here.

Names given in quotation can also be handled by wmbday.

Also note that a line must not exceed 100 characters. But this should not be a problem due to the limited space of the dockapp.

On the other hand you can use a vCard-address-book like it is used by KAddressbook for example. wmbday will only read the "FN" and "BDAY" lines. For more information on vCards see RFC 2426.

SIGNALS
wmbday responds to the SIGHUP signal which makes it reload the data file.

COLORS
Colors for wmbday can be specified in two ways. Either by the name ("red", "blue", "green") or by RGB values. For a complete list of color names supported by the Xlib please refer to /usr/X11R6/lib/X11/rgb.txt. It would go beyond the scope of this manpage. For exotic colors you would have to use the second method anyway. But you have to note that different monitors show those colors differently. Names by Colors are more portable.

If you want to specify the RGB value the format must be "#rrrrggggbbbb" where "r", "g" and "b" indicate the amount of the corresponding primary color in the target color in hexadecimal numbers. Numbers with less than 12 digits are filled with zeros so you can easily use "#rrggbb" instead. Note that you maybe have to escape the leading "#" in the shell.

FILES

~/.wmbday/data
    wmbday data file.

VERSION
This man page is conform to version 0.3 of wmbday.

BUGS
Please report any bugs you may find as well as feature requests to the author.

AUTHOR
wmbday was written by astratis <steffen@x-berg.de>

http://buzzinhornetz.ath.cx/wmbday/